#{extends 'border.html'/}
<style type="text/css">
    .one_full_a3 {
        float: none;
        overflow: hidden;
        width: 100%;
        margin: 0;
        padding:33px 0px 0px 0px;
        display:inline-block;
    }
</style>
<div id="web-detail-produk" class="container">
</div>
#{if aktifUser != null && produk?.apakah_ditayangkan==true }
    *{#{include 'katalog/ProdukCtr/parts/_chatProduk.html'/}}*
#{/if}

#{produk.productBasketModal /}
#{validationPackage/}
#{set 'moreScripts'}
<script type="text/javascript">
    var kelasHarga = '${type}';
    var lebelHarga = "&{'perubahan_harga_terakhir.label'}";
    var labelTanggalHarga = "&{'pada_tanggal.label'}";
    var prodId = '${id}';
    var nf = new Intl.NumberFormat("en-US");
    var loadTabRwPro = true;
    $(document).ready(function () {
        //start new

        var basicParam = '@{controllers.katalog.ProdukCtr.getDetailProductCenter(id)}'+'&';
        var paramUrls = location.search;
        paramUrls = paramUrls.replace("?","");
        basicParam +=paramUrls;
        $('#web-detail-produk').load(basicParam, function () {
            $('.lazy').lazy({
                removeAttribute: true,
                //combined: true,
                delay: 3000,
                onError: function(element) {
                    //console.log('error loading ' + element.data('src'));
                    element.error();
                }
            });
            loadAfterContent();
        });
        // console.log(basicParam);

    });


    function loadAfterContent(){
        $('.lokasi').select2();
        $('.daerah').select2();
        //tadinya di doc ready
        $('.form-horizontal').validate({
            highlight: function(element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });

        // currency format
        $(".currency").convertThousand();
        $("#table-ongkir").DataTable({serverSide: false});

        $('.lazy').lazy({
            removeAttribute: true,
            //combined: true,
            delay: 3000,
            onError: function(element) {
                //console.log('error loading ' + element.data('src'));
                element.error();
            }
        });

        $("body").on("click", "#riwayat-prod-tab", function() {
            if(loadTabRwPro){
                $("#table-riwayat-produk > tbody > tr").remove();
                $.ajax({
                    url : "@{katalog.ProdukCtr.getRiwayatProduk()}",
                    type : "get",
                    dataType : "json",
                    data : {
                        id : prodId
                    },
                    success : function(data) {
                        var content = "";
                        $.each(data, function(index, val) {
                            content += "<tr>"
                                    + "<td>" + val.created_date + "</td>"
                                    + "<td>" + val.oleh + "</td>"
                                    + "<td>" + val.aksi + "</td>"
                                    + "<td>" + val.deskripsi + "</td>"
                                    + "</tr>"
                        });
                        $("#table-riwayat-produk").append(content);
                    }
                });
                loadTabRwPro = false;
            }
        });

        $("body").on("change", ".daerah", function () {
            var daerahId = $(this).val();
            $("#table-riwayat-harga > tbody > tr").remove();
            $.ajax({
                url : "@{katalog.ProdukCtr.getRiwayatHarga()}",
                type : "GET",
                dataType : "json",
                data : {
                    produk_id : prodId,
                    //komoditas_id : '{produk?.komoditas_id}',
                    daerah_id : daerahId,
                    kelas_harga : kelasHarga
                },
                success : function (data) {
                    var content = "";
                    $.each(data, function(index, val) {
                        // console.log(val);
                        content += "<tr>"
                                + "<td class='column-center'>" + val.tanggal+ "</td>"
                                + "<td class='column-center'>" + val.nama_kurs + "</td>";
                        //attrHarga ada di detailCenter. karena diload ketika mengambil center page
                        $.each(attrHarga, function(key, label){
                            var hrg = nf.format(val.harga[key]);
                            if(val.harga[key] == undefined) hrg = 0;
                            content += "<td class='column-center'>" + hrg + "</td>";
                        });

                        content += "</tr>";
                    });
                    $("#table-riwayat-harga").append(content);

                },
                failed: function(){
                    alert("Terjadi kesalahan pada saat update data..");
                },
                error: function(){
                    alert("Terjadi kesalahan pada saat update data..");
                }
            })
        })


        $("body").on("click", ".approval", function() {
            var this_val = $(this).val();

            $("#buttonValue").val(this_val);

            if(this_val == "setuju"){
                var conf = confirm("Apakah anda yakin Menyetujui Produk?");
                if(conf == true){
                    $("#formPersetujuan").submit();
                }
            }else{
                $("#rejectModal").modal();
            }

        });

        $("body").on("click", ".tolak", function() {
            var alasan_val = $("#alasan").val();
            var conf = confirm("Apakah anda yakin Menolak Produk?");

            if(alasan_val == ""){
                if (conf == true) {
                    $("#error-message").html("&{'produk.tolak.alasan.error'}");
                    $("#error-message").show();
                }
            }else{
                if (conf == true) {
                    $("#formPersetujuan").submit();
                }
            }
        });

        $("#submit-comment").click(function(){
            var formData = {
                'comment'   : $('#comment-text-diskusi').val(),
                'user_penerima'   : $('#user_penerima').val(),
                'produk_id' : '${produk?.id}'
            };

            $.ajax({
                type: 'POST',
                url: '@{katalog.ProdukDiskusiCtr.createSubmitComment()}',
                data: formData,
                success: function(data){
                    $('#diskusi-produk-one').append('<div class="panel-group"><div class="panel panel-default"><div class="panel-heading"><div class="row msg_container base_receive"><div class="col-md-1"><img src="/public/images/icon-chat-list.png" class=" img-responsive " onerror="this.src="/public/images/image-not-found.png";" style="width: 35px;height: 35px;"></div><div class="col-md-11 col-xs-11" style="right: 40px;"><p><b>'+data.namaUser+'</b></p>'+$('#comment-text-diskusi').val()+'</div></div></div></div></div>');
                    $('#comment-text-diskusi').val('');
                }
            });

        });

        $(document).on("click", "#submit-sub-comment", function() {
            var id_comment = $(this).attr("value");
            var sub_diskusi = $('#sub-comment-text-'+id_comment+'').val();

            var formData = {
                'comment_balas'   : sub_diskusi,
                'produk_diskusi_id' : id_comment,
                'produk_id' : '${produk?.id}'
            };

            $.ajax({
                type: 'POST',
                url: '@{katalog.ProdukDiskusiBalasCtr.createSubmitCommentBalas}',
                data: formData,
                success: function(data){
                    $('#sub-comment-'+id_comment+'').append('<div class="row msg_container base_receive"><div class="col-md-2" align="right"><img src="/public/images/icon-chat-list.png" class=" img-responsive " onerror="this.src="/public/images/image-not-found.png";" style="width: 35px;height: 35px;"></div><div class="col-md-10 col-xs-10"><p><b>'+data.namaUser+'</b></p>'+sub_diskusi+'<hr></div></div>');
                    $('#sub-comment-text-'+id_comment+'').val("");
                }
            });

        });

        $('textarea.expand').focus(function () {
            // $(this).animate({ height: "10em" }, 1000);
            // $('#button-comment').fadeIn("slow");
        });

        $(".comment-diskusi textarea").focus(function() {
            // $(this).animate({
            //     height: 100
            // }, "normal");

            $('#button-diskusi').fadeIn("slow");

        }).blur(function() {
            // $(this).animate({
            //     height: 33
            // }, "normal");

            $('#button-diskusi').fadeOut("slow");
        });

        $(".one_full_a3 textarea").focus(function() {
            // $(this).animate({
            //     height: 100
            // }, "normal");

            var id_comment = $(this).attr("data-layer-textarea");


            $('#button-comment-'+id_comment+'').fadeIn("slow");

        }).blur(function() {
            // $(this).animate({
            //     height: 33
            // }, "normal");

            var id_comment = $(this).attr("data-layer-textarea");

            // $('#button-comment-'+id_comment+'').fadeOut("slow");

            $('#button-comment-'+id_comment+'').click(function(){
                $(this).data('clicked', true);
                // setInterval(function(){
                //     $('#button-comment-'+id_comment+'').fadeOut("slow");
                // }, 5000);
            });

        });

        $(document).on('click', '.collapse-comment', function (e) {
            var id_comment = $(this).attr("value");
            // var menuItem = $('#collapse-comment-'+id_comment+'').val();
            var menuItem = $( e.currentTarget );
            // console.log(menuItem);

            if (menuItem.attr( 'aria-expanded') === 'true') {
                $('#fa-toggle-left').removeClass('fa fa-toggle-left').addClass('fa fa-toggle-down');
                $(this).attr( 'aria-expanded', 'false');
            } else {
                $('#fa-toggle-left').removeClass('fa fa-toggle-down').addClass('fa fa-toggle-left');
                $(this).attr( 'aria-expanded', 'true');
            }
        });

        $(".lokasi").change(function(){
            var type = kelasHarga;
            //if('{produk?.komoditas?.kelas_harga}' == 'kabupaten'){
            //    type = 'regency';
            //}else if('{produk?.komoditas?.kelas_harga}' == 'provinsi') {
            //    type = 'province';
            //}
            var basicParam = '@{controllers.katalog.ProdukCtr.getHargaProdukChangeDetail(id)}'+'&';
            var lokasi = $(this).val();
            var newUrl = basicParam+'?lang=id&type='+type+'&location_id='+lokasi;
            $("#detailhargaChangePrice").html();
            $("#detailhargaChange").html();
            $.ajax({
                url : newUrl,
                type : "get",
                success : function(data) {
                    var content = "<em>"+lebelHarga+" " + data.harga_utama +" "+ data.daerah_name+" "+labelTanggalHarga+" "+ data.harga_tanggal +"</em>";
                    var contentHarga = data.harga_utama;
                    //$("#table-riwayat-produk").append(content);
                    $("#detailhargaChangePrice").html(content);
                    $("#detailhargaChange").html(contentHarga);
                    var urlBasket = $("#addToBasketBtn").attr('href');
                    if(urlBasket != null){
                        $("#addToBasketBtn").attr('href', setUrlParameter($("#addToBasketBtn").attr('href'), 'daerahId', lokasi));
                    }
                },
                failed: function(){
                    alert("Terjadi kesalahan pada saat update data..");
                },
                error: function(){
                    alert("Terjadi kesalahan pada saat update data..");
                }
            });

        });

    }

    function setUrlParameter(url, key, value) {
        var key = encodeURIComponent(key),
                value = encodeURIComponent(value);
        var baseUrl = url.split('?')[0],
                newParam = key + '=' + value,
                params = '?' + newParam;

        if (url.split('?')[1] === undefined){ // if there are no query strings, make urlQueryString empty
            urlQueryString = '';
        } else {
            urlQueryString = '?' + url.split('?')[1];
        }

        // If the "search" string exists, then build params from it
        if (urlQueryString) {
            var updateRegex = new RegExp('([\?&])' + key + '[^&]*');
            var removeRegex = new RegExp('([\?&])' + key + '=[^&;]+[&;]?');

            if (value === undefined || value === null || value === '') { // Remove param if value is empty
                params = urlQueryString.replace(removeRegex, "$1");
                params = params.replace(/[&;]$/, "");

            } else if (urlQueryString.match(updateRegex) !== null) { // If param exists already, update it
                params = urlQueryString.replace(updateRegex, "$1" + newParam);

            } else if (urlQueryString == '') { // If there are no query strings
                params = '?' + newParam;
            } else { // Otherwise, add it to end of query string
                params = urlQueryString + '&' + newParam;
            }
        }

        // no parameter was set so we don't need the question mark
        params = params === '?' ? '' : params;

        return baseUrl + params;
    }


</script>
#{/set}

